#include "FrequencyTuningStatusLockDto.h"

FrequencyTuningStatusLockDto::FrequencyTuningStatusLockDto(QObject *parent) : DeviceFrameBaseDto(parent)
{

}

QJsonObject FrequencyTuningStatusLockDto::toJSON()
{
    QJsonObject jsonObj;

    QJsonObject dataObj;
    dataObj.insert("lockStatus", lockStatus);

    jsonObj.insert("ts", this->milisecond);
    jsonObj.insert("frameType", this->frameType);
    jsonObj.insert("data", dataObj);

    return jsonObj;
}
